JUCE: OSCArgument Class Reference

JUCE

Public Member Functions | List of all members
OSCArgument Class Reference
juce_osc » osc

An OSC argument. More...

`#include <juce_OSCArgument.h>`

## Public Member Functions
| OSCArgument (int32 value)
| Constructs an OSCArgument with type int32 and a given value. More...
| OSCArgument (float value)
| Constructs an OSCArgument with type float32 and a given value. More...
| OSCArgument (const String &value)
| Constructs an OSCArgument with type string and a given value. More...
| OSCArgument (MemoryBlock blob)
| Constructs an OSCArgument with type blob and copies dataSize bytes from the memory pointed to by data into the blob. More...
| OSCArgument (OSCColour colour)
| Constructs an OSCArgument with type colour and a given colour value. More...
OSCType | getType () const noexcept
| Returns the type of the OSCArgument as an OSCType. More...
bool | isInt32 () const noexcept
| Returns whether the type of the OSCArgument is int32. More...
bool | isFloat32 () const noexcept
| Returns whether the type of the OSCArgument is float. More...
bool | isString () const noexcept
| Returns whether the type of the OSCArgument is string. More...
bool | isBlob () const noexcept
| Returns whether the type of the OSCArgument is blob. More...
bool | isColour () const noexcept
| Returns whether the type of the OSCArgument is colour. More...
int32 | getInt32 () const noexcept
| Returns the value of the OSCArgument as an int32. More...
float | getFloat32 () const noexcept
| Returns the value of the OSCArgument as a float32. More...
String | getString () const noexcept
| Returns the value of the OSCArgument as a string. More...
const MemoryBlock & | getBlob () const noexcept
| Returns the binary data contained in the blob and owned by the OSCArgument, as a reference to a JUCE MemoryBlock object. More...
OSCColour | getColour () const noexcept
| Returns the value of the OSCArgument as an OSCColour. More...

## Detailed Description

An OSC argument.

An OSC argument is a value of one of the following types: int32, float32, string, or blob (raw binary data).

OSCMessage objects are essentially arrays of OSCArgument objects.

## Constructor & Destructor Documentation

## ◆ OSCArgument() [1/5]

OSCArgument::OSCArgument | ( | int32 | value | ) |

Constructs an OSCArgument with type int32 and a given value.

## ◆ OSCArgument() [2/5]

OSCArgument::OSCArgument | ( | float | value | ) |

Constructs an OSCArgument with type float32 and a given value.

## ◆ OSCArgument() [3/5]

OSCArgument::OSCArgument | ( | const String & | value | ) |

Constructs an OSCArgument with type string and a given value.

## ◆ OSCArgument() [4/5]

OSCArgument::OSCArgument | ( | MemoryBlock | blob | ) |

Constructs an OSCArgument with type blob and copies dataSize bytes from the memory pointed to by data into the blob.

The data owned by the blob will be released when the OSCArgument object gets destructed.

## ◆ OSCArgument() [5/5]

OSCArgument::OSCArgument | ( | OSCColour | colour | ) |

Constructs an OSCArgument with type colour and a given colour value.

## Member Function Documentation

## ◆ getType()

OSCType OSCArgument::getType | ( |  | ) | const
| noexcept

Returns the type of the OSCArgument as an OSCType.

OSCType is a char type, and its value will be the OSC type tag of the type.

References gl::type.

## ◆ isInt32()

bool OSCArgument::isInt32 | ( |  | ) | const
| noexcept

Returns whether the type of the OSCArgument is int32.

References OSCTypes::int32, and gl::type.

## ◆ isFloat32()

bool OSCArgument::isFloat32 | ( |  | ) | const
| noexcept

Returns whether the type of the OSCArgument is float.

References OSCTypes::float32, and gl::type.

## ◆ isString()

bool OSCArgument::isString | ( |  | ) | const
| noexcept

Returns whether the type of the OSCArgument is string.

References OSCTypes::string, and gl::type.

## ◆ isBlob()

bool OSCArgument::isBlob | ( |  | ) | const
| noexcept

Returns whether the type of the OSCArgument is blob.

References OSCTypes::blob, and gl::type.

## ◆ isColour()

bool OSCArgument::isColour | ( |  | ) | const
| noexcept

Returns whether the type of the OSCArgument is colour.

References OSCTypes::colour, and gl::type.

## ◆ getInt32()

int32 OSCArgument::getInt32 | ( |  | ) | const
| noexcept

Returns the value of the OSCArgument as an int32.

If the type of the OSCArgument is not int32, the behaviour is undefined.

## ◆ getFloat32()

float OSCArgument::getFloat32 | ( |  | ) | const
| noexcept

Returns the value of the OSCArgument as a float32.

If the type of the OSCArgument is not float32, the behaviour is undefined.

## ◆ getString()

String OSCArgument::getString | ( |  | ) | const
| noexcept

Returns the value of the OSCArgument as a string.

If the type of the OSCArgument is not string, the behaviour is undefined.

## ◆ getBlob()

const MemoryBlock & OSCArgument::getBlob | ( |  | ) | const
| noexcept

Returns the binary data contained in the blob and owned by the OSCArgument, as a reference to a JUCE MemoryBlock object.

If the type of the OSCArgument is not blob, the behaviour is undefined.

## ◆ getColour()

OSCColour OSCArgument::getColour | ( |  | ) | const
| noexcept

Returns the value of the OSCArgument as an OSCColour.

If the type of the OSCArgument is not a colour, the behaviour is undefined.

## Member Data Documentation

## ◆ intValue

int32 OSCArgument::intValue

## ◆ floatValue

float OSCArgument::floatValue

The documentation for this class was generated from the following file:

- juce_OSCArgument.h